Zonemaster::ASNLookup(3pm)

NAME
Zonemaster::ASNLookup - do lookups of ASNs for IP addresses

SYNOPSIS
   my ($asnref, $prefix) = Zonemaster::ASNLookup->get_with_prefix( '8.8.4.4' );
   my $asnref = Zonemaster::ASNLookup->get( '192.168.0.1' );

FUNCTION

get($addr)
    Takes a string (or a Net::IP object) with a single IP address, does a lookup in a Cymru-style DNS zone and returns a list of AS numbers for the address, if any can be found.

get_with_prefix($addr)
    As get(), except it returns a list of a reference to a list with the AS numbers, and a Net::IP object representing the prefix of the AS.